TaglibXml (Apache Tomcat 11.0.6 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.tld, class: TaglibXml

# Class TaglibXml

java.lang.Object
org.apache.tomcat.util.descriptor.tld.TaglibXml

public class TaglibXml extends Object
Common representation of a Tag Library Descriptor (TLD) XML file.

This stores the raw result of parsing an TLD XML file, flattening different version of the descriptors to a common format. This is different to a TagLibraryInfo instance that would be passed to a tag validator in that it does not contain the uri and prefix values used by a JSP to reference this tag library.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaglibXml()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFunction(String name, String klass, String signature)`
  `void`
  `addListener(String listener)`
  `void`
  `addTag(TagXml tag)`
  `void`
  `addTagFile(TagFileXml tag)`
  `List<FunctionInfo>`
  `getFunctions()`
  `String`
  `getInfo()`
  `String`
  `getJspVersion()`
  `List<String>`
  `getListeners()`
  `String`
  `getShortName()`
  `List<TagFileXml>`
  `getTagFiles()`
  `List<TagXml>`
  `getTags()`
  `String`
  `getTlibVersion()`
  `String`
  `getUri()`
  `ValidatorXml`
  `getValidator()`
  `void`
  `setInfo(String info)`
  `void`
  `setJspVersion(String jspVersion)`
  `void`
  `setShortName(String shortName)`
  `void`
  `setTlibVersion(String tlibVersion)`
  `void`
  `setUri(String uri)`
  `void`
  `setValidator(ValidatorXml validator)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaglibXml

    public TaglibXml()

- ## Method Details

  - ### getTlibVersion

    public String getTlibVersion()

  - ### setTlibVersion

    public void setTlibVersion(String tlibVersion)

  - ### getJspVersion

    public String getJspVersion()

  - ### setJspVersion

    public void setJspVersion(String jspVersion)

  - ### getShortName

    public String getShortName()

  - ### setShortName

    public void setShortName(String shortName)

  - ### getUri

    public String getUri()

  - ### setUri

    public void setUri(String uri)

  - ### getInfo

    public String getInfo()

  - ### setInfo

    public void setInfo(String info)

  - ### getValidator

    public ValidatorXml getValidator()

  - ### setValidator

    public void setValidator(ValidatorXml validator)

  - ### addTag

    public void addTag(TagXml tag)

  - ### getTags

    public List<TagXml> getTags()

  - ### addTagFile

    public void addTagFile(TagFileXml tag)

  - ### getTagFiles

    public List<TagFileXml> getTagFiles()

  - ### addListener

    public void addListener(String listener)

  - ### getListeners

    public List<String> getListeners()

  - ### addFunction

    public void addFunction(String name, String klass, String signature)

  - ### getFunctions

    public List<FunctionInfo> getFunctions()